Name:          libiptcdata
Version:       1.0.5
Release:       3
Summary:       A library for manipulating the IPTC

License:       LGPLv2+
URL:           https://github.com/ianw/%{name}
Source0:       https://github.com/ianw/%{name}/releases/download/release_1_0_5/%{name}-%{version}.tar.gz

BuildRequires: autoconf automake gcc gettext gettext-devel
BuildRequires: libtool gtk-doc python3-devel

%description
Libiptcdata is written in C for operating the IPEC metadata which is stored
within multimedia files. Those metadata is usually uesd by photo applications,
which is include keywords and captions. This library provides routines include
parsing, modifying, viewing, and saving the metadata. This package also contain
a iptc command-line utility for editing data in JPEG files and Python bindings.

%package       devel
Summary:       This package contains libraries and headers
Requires:      %{name} = %{version}-%{release}
Requires:      pkgconfig

%description   devel
The libraries and files used to develop applications are included in the devel package.

%package       -n python3-%{name}
Summary:       Python bindings for libiptcdata
Requires:      %{name} = %{version}-%{release}
BuildRequires: python3-devel

%description   -n python3-%{name}
This python3-libiptcdata package includes a Python module which can used for Python
applications reading and writing IPTC metadata in images.

%prep
%autosetup -p1
# fix compatibility with gtk-doc 1.26
gtkdocize
autoreconf -fiv

%build
export PYTHON_VERSION=%python3_version
%configure --enable-gtk-doc --enable-python
%make_build

%install
%make_install
%delete_la_and_a
%find_lang %{name} --all-name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README TODO
%license COPYING
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/libiptcdata
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_includedir}/libiptcdata

%files -n python3-%{name}
%defattr(-,root,root)
%doc python/README python/examples/*
%{python3_sitearch}/*.so

%changelog
* Thu Nov 10 2022 yaoxin <yaoxin30@h-partners.com> - 1.0.5-3
- Change Source

* Sun Sep 27 2020 hanhui <hanhui15@huawei.com> - 1.0.5-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source url

* Thu Feb 27 2020 hexiujun <hexiujun1@huawei.com> - 1.0.5-1
- Update to 1.0.5

* Wed Sep 11 2019 Yiru Wang <wangyiru1@huawei.com> - 1.0.4-21
- Pakcage init
